import request from "@/utils/request";
const api = "/mosty-api/mosty-yjzl";

// 获取方格数据
export function fetchTbZdxlFgdwSelectList() {
  return request({
    url: `${api}/tbZdxlFgdw/selectList`
  })
}

// 查询任务列表
export function fetchTbZdxlFgxlrwSelectList(params) {
  return request({
    url: `${api}/tbZdxlFgxlrw/selectList`,
    params
  })
}

export function fetchSelectListByBddxlrwId(params) {
  return request({
    url: `${api}/tbZdxlFgdwBddxlrwJl/selectListByBddxlrwId`,
    params
  })
}

// 必到点采集列表
export function fetchTbZdxlFgdwBddSelectPage(params) {
  return request({
    url: `${api}/tbZdxlFgdwBdd/selectPage`,
    params
  })
}

// 新增必到点采集数据
export function fetchTbZdxlFgdwBddSave(data) {
    return request({
      url: `${api}/tbZdxlFgdwBdd/save`,
      method: 'POST',
      data
    })
}

// 修改新增必到点采集数据
export function fetchTbZdxlFgdwBddUpdate(data) {
  return request({
    url: `${api}/tbZdxlFgdwBdd/update`,
    method: "POST",
    data
  })
}

// 获取方格详情
export function fetchTbZdxlFgdwId(id) {
  return request({
    url: `${api}/tbZdxlFgdw/${id}`
  })
}
